Bug 236469 - [WebAuthn] Access group not set in add query for importLocalAuthenticatorCredential
Summary: [WebAuthn] Access group not set in add query for importLocalAuthenticatorCred...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: pascoe@apple.com
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-02-10 15:59 PST by pascoe@apple.com
Modified: 2022-02-14 13:12 PST (History)
2 users (show)

See Also:


Attachments
Patch (7.13 KB, patch)
2022-02-11 08:49 PST, pascoe@apple.com
no flags Details | Formatted Diff | Diff
Patch for landing (7.11 KB, patch)
2022-02-14 08:33 PST, pascoe@apple.com
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pascoe@apple.com 2022-02-10 15:59:15 PST
^
Comment 1 Radar WebKit Bug Importer 2022-02-10 15:59:25 PST
<rdar://problem/88783447>
Comment 2 pascoe@apple.com 2022-02-11 08:49:04 PST
Created attachment 451702 [details]
Patch
Comment 3 Brent Fulgham 2022-02-11 10:55:16 PST
Comment on attachment 451702 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=451702&action=review

r=me

> Source/WebKit/ChangeLog:9
> +        In the patch adding support for setting accessGroup, previously did not properly set

Suggestion: In Bug 236311 we added support setting accessGroup, but did not properly set it on the addQuery. This patch fixes that.

> Tools/ChangeLog:14
> +        * TestWebKitAPI/Tests/WebKitCocoa/_WKWebAuthenticationPanel.mm:

Really nice that you managed to create a test to protect this behavior!
Comment 4 pascoe@apple.com 2022-02-14 08:33:30 PST
Created attachment 451905 [details]
Patch for landing
Comment 5 EWS 2022-02-14 13:12:03 PST
Committed r289760 (247232@main): <https://commits.webkit.org/247232@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 451905 [details].